Bug 174734 - Package statement incorrectly underlined
Package statement incorrectly underlined
Status: CLOSED INVALID
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 12:00 UTC by J Bachorik
Modified: 2009-12-11 05:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
sample project (17.71 KB, application/x-compressed)
2009-10-16 12:01 UTC, J Bachorik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2009-10-16 12:00:29 UTC
It seems that in JavaFX there is no requirement for the declared package name to match the source file physical location.
The result is that the source file is in such a case marked with error but the project compiles and runs just fine.
I will attach a sample project showing this problem.
Comment 1 J Bachorik 2009-10-16 12:01:08 UTC
Created attachment 89610 [details]
sample project
Comment 2 J Bachorik 2009-10-16 12:02:50 UTC
The solution would be not to use WrongPackageStatmentTask at all.
Comment 3 J Bachorik 2009-11-13 08:13:25 UTC
fixed in http://hg.netbeans.org/javafx/rev/d764ced04d66
Comment 4 Alexandr Scherbatiy 2009-12-11 03:53:18 UTC
NetBeans-JavaFX-Soma:  #62

It is fixed but it cause that the useful hints also are not shown.
See issue 177187
Comment 5 J Bachorik 2009-12-11 05:26:46 UTC
Since it is not possible to have both #174734 and #177187 fixed at the same time (as the requirements are contradictory) I am reverting the fix for this issue and restoring the old behavior (thus fixing #177817).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo